Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039955
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 07. Sales managementminoralways2019-01-09 14:472019-01-18 09:28
ReporterlmassonView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q3.5
StatusclosedFix in branchFixed in SCM revision26da6883e453
ProjectionnoneETAnoneTarget Version3.0PR18Q3.5
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0PR18Q4SCM revision 
Review Assigned Toalostale
Web browserGoogle Chrome
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2018-04-30
Regression introduced in release3.0PR18Q3
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/f2979bad688953ced9571ab74cf312c989a0f81b [^]
Triggers an Emergency PackNo
Summary

0039955: Purchase Order : Not possible to search product with Characteristic

DescriptionDuring the process of creation of a Purchase Order, when I try to make a search with the characteristic description using the button "Create line" any is propose.

See the video attached to this Mantis.
https://drive.google.com/file/d/1uNw9ix67xu3JWEG1-92GPI2atTEIUgod/view [^]
Steps To Reproduce* Open 'Product Characteristic' window and create a new record and also a characteristic value (lines tab)

* Then open 'Product' window and select a product Ex:"Cerveza Ale 0,5L". Switch to [Characteristics] tab and assign it a new characteristic.

* Run process "Update Characteristics" for that product and press OK.

* Go to Purchase Order windows and create a purchase order with the product where the characteristic was created.

* Click on creates lines button and try to filter by characteristic (Nothing appears)

*If you filter by product, the characteristic filter star working properly


TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0039896 closedcaristu Purchase Order : Not possible to search product with Characteristic 

-  Notes
(0108966)
hgbot (developer)
2019-01-15 16:31

Repository: erp/backports/3.0PR18Q3.5
Changeset: 26da6883e453b48982cb320c1a1acbd431e7a48b
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue Jan 15 13:57:46 2019 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR18Q3.5/rev/26da6883e453b48982cb320c1a1acbd431e7a48b [^]

fixes issue 39955: Not possible to filter by characteristic in Create Lines

  The changeset[1] was not taking into account the possibility of having a field with a name that already contains 'product'. This can happen when having a property field like: product.characteristicDescription.

  In that case an extra 'product' was being added to the propery path which resulted in a wrong HQL where clause definition for the characteristic filter.

  Now we do not append 'product' to the property path in case it already starts with it.

  [1] https://code.openbravo.com/erp/devel/pi/rev/f2979bad688953ced9571ab74cf312c989a0f81b [^]

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-characteristics.js
---
(0109007)
alostale (developer)
2019-01-18 09:28

reviewed + tested

- Issue History
Date Modified Username Field Change
2019-01-15 13:42 caristu Type defect => backport
2019-01-15 13:42 caristu Target Version 3.0PR18Q4 => 3.0PR18Q3.5
2019-01-15 16:31 hgbot Checkin
2019-01-15 16:31 hgbot Note Added: 0108966
2019-01-15 16:31 hgbot Status scheduled => resolved
2019-01-15 16:31 hgbot Resolution open => fixed
2019-01-15 16:31 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR18Q3.5/rev/26da6883e453b48982cb320c1a1acbd431e7a48b [^]
2019-01-15 16:31 caristu Review Assigned To => alostale
2019-01-15 16:31 caristu Web browser Google Chrome => Google Chrome
2019-01-15 16:35 caristu Web browser Google Chrome => Google Chrome
2019-01-15 16:35 caristu Severity major => minor
2019-01-18 09:28 alostale Note Added: 0109007
2019-01-18 09:28 alostale Status resolved => closed
2019-01-18 09:28 alostale Fixed in Version => 3.0PR18Q3.5


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker